﻿package {

	import flash.display.MovieClip;
	import flash.events.Event;
	
	import caurina.transitions.*;
	import caurina.transitions.properties.*;

	public class Main extends MovieClip {

		//a custom class we've made which will load all images from an xml file as Bitmaps
		private var imageLoader:ImageLoader;
		
		//this class will display all our Polaroids, by receiving a Vector of Bitmaps
		private var polaroidHolder:PolaroidHolder;
		
		//the wooden background, bg is an abbrivation for background
		private var bg:Background

		public function Main():void {
			//load our images
			imageLoader = new ImageLoader('Polaroid.swf');
			imageLoader.addEventListener('imagesLoaded', displayImages, false, 0, true);
			addChild(imageLoader);
			imageLoader.load('pictures.xml');
			
			//add our bg as a child
			bg = new Background();
			addChild(bg);
			
			//add event listener, so we know when we're zoomed in or out
			//3rd parameter of addEventListener is true, so we can capture the event, when it "bubbles" up from the Polaroid
			addEventListener('zoomIn', onZoomIn, true);
			addEventListener('zoomOut', onZoomOut, true);
		}

		private function displayImages(event:Event):void {
			//we've loaded all our images
			polaroidHolder = new PolaroidHolder(imageLoader.images);
			addChild(polaroidHolder);

			//also clean up the imageLoader
			imageLoader.cleanUp();
			imageLoader = null;
		}
		
		private function onZoomIn(event:Event):void {
			//upon zooming in, we'll darken the bg
			Tweener.addTween(bg, {alpha:.6, time:1});
		}
		
		private function onZoomOut(event:Event):void {
			//upon zooming out, we'll lighten the bg
			Tweener.addTween(bg, {alpha:1, time:1});
		}
	}
}