﻿package {
	import flash.display.MovieClip;
	import flash.display.Bitmap;
	import flash.events.MouseEvent;

	public class PolaroidHolder extends MovieClip {

		//this vector will hold all our Polaroids
		public var polaroids:Vector.<Polaroid>  = new Vector.<Polaroid>;
		//with this variable we no
		private var zoomedIn:Boolean;
		//the Polaroid we're zoomed in on
		private var currentPolaroid:Polaroid;

		public function PolaroidHolder(images:Vector.<Bitmap>) {
			// constructor code
			for each (var image:Bitmap in images) {
				//create a new Polaroid
				var polaroid:Polaroid = new Polaroid(image);

				//position and rotate it
				polaroid.x = Math.random() * 200 + 100;
				polaroid.y = Math.random() * 200;
				polaroid.rotation = Math.random() * 60 - 30;

				//add a clicking eventListener
				polaroid.addEventListener(MouseEvent.CLICK, onPolaroidClick);
				addChild(polaroid);

				//add it to the polaroids vector
				polaroids.push(polaroid);
			}
		}

		private function onPolaroidClick(event:MouseEvent):void {
			//there's been a click on a Polaroid!
			if (currentPolaroid == null) {
				//no currentPolaroid has been set, we're zooming in
				//set the clicked Polaroid as the current Polaroid
				currentPolaroid = event.currentTarget as Polaroid;

				//mute all other Polaroids (the ones which aren't zoomed in)
				for each (var polaroid:Polaroid in polaroids) {
					if (polaroid != currentPolaroid) {
						polaroid.mute();
					}
				}
			} else {
				//check if the click was on the current polaroid
				if (event.currentTarget == currentPolaroid) {
					//the same polaroid has been clicked (again), time to zoom out

					//unmute all other Polaroids, they can respond again to events
					for each (var polaroid2:Polaroid in polaroids) {
						if (polaroid != currentPolaroid) {
							polaroid2.unmute();
						}
					}

					//now we're not zoomed in, so we don't have a current polaroid
					currentPolaroid = null;
				}
			}
		}

	}

}